<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table60a', function (Blueprint $table) {
            $table->id('DatasetTable60AId');
            $table->integer('dataset_id');
            $table->string('sumber')->nullable();
            $table->bigInteger('jumlah_2022')->nullable();
            $table->bigInteger('jumlah_2023')->nullable();
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table60_a_s');
    }
};
